import { createToken, getOrganizationApiTokens, getToken, organizationInputParser, deleteToken, tokenCreatorInputParser, tokenEditInputParser, tokenRetrieverInputParser, tokenDeleteInputParser, tokenVerifierInputParser, verifyToken, updateToken, } from '../../models/api-token.js';
import { passInputTo, t } from './trpc.js';
export default t.router({
    createToken: t.procedure
        .input(tokenCreatorInputParser)
        .mutation(passInputTo(createToken)),
    getToken: t.procedure.input(tokenRetrieverInputParser).query(passInputTo(getToken)),
    updateToken: t.procedure.input(tokenEditInputParser).mutation(passInputTo(updateToken)),
    verifyToken: t.procedure
        .input(tokenVerifierInputParser)
        .query(passInputTo(verifyToken)),
    deleteToken: t.procedure
        .input(tokenDeleteInputParser)
        .mutation(passInputTo(deleteToken)),
    getOrganizationApiTokens: t.procedure
        .input(organizationInputParser)
        .query(passInputTo(getOrganizationApiTokens)),
});
